import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
import { Label } from '@primer/react';
export const VisibilityLabel = (props) => {
    const { isPublic } = props;
    if (isPublic === undefined) {
        return _jsx(_Fragment, {});
    }
    return isPublic ? (_jsx(Label, { variant: "success", sx: { marginLeft: 3 }, children: "Public" })) : (_jsx(Label, { variant: "danger", sx: { marginLeft: 3 }, children: "Private" }));
};
export default VisibilityLabel;
